from .sync_parser import AbstractParser, KeyValueParser, SimpleFormatParser


__ALL__ = [
    AbstractParser,
    KeyValueParser,
    SimpleFormatParser
]


try:
    from .async_parser import AsyncAbstractParser, AsyncKeyValueParser, AsyncSimpleFormatParser
    __ALL__.extend([AsyncAbstractParser, AsyncKeyValueParser, AsyncSimpleFormatParser])
except (ImportError, ModuleNotFoundError):
    pass
